#!/bin/sh
echo 'name: mueval
version: 0.9
id: mueval-0.9-904c3fe4546e0ed982ea2c10bb991bad

license: BSD3
copyright:
maintainer: Gwern <gwern0@gmail.com>
stability:
homepage: http://code.haskell.org/mubot/
package-url:
synopsis: Safely evaluate pure Haskell expressions
description: Mueval is a Haskell interpreter. It
             uses the GHC API to evaluate arbitrary Haskell expressions.
             Importantly, mueval takes many precautions to defang and avoid \"evil\"
             code.  It uses resource limits, whitelisted modules and Safe Haskell,
             special Show instances for IO, threads, processes, and changes of directory
             to sandbox the Haskell code.
             .
             It is, in short, intended to be a standalone version of Lambdabot'\''s famous
             evaluation functionality. For examples and explanations, please see the README file.
             .
             Mueval is POSIX-only.
category: Development, Language
author: Gwern
exposed: True
exposed-modules: Mueval.Parallel Mueval.Context Mueval.Interpreter
                 Mueval.ArgsParse Mueval.Resources
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.6.3/mueval-0.9
library-dirs: /usr/local/lib/cabal/ghc-7.6.3/mueval-0.9
              /usr/local/lib
hs-libraries: HSmueval-0.9
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: Cabal-1.16.0-217974fdfefa25b74b8278962258603f
         base-4.6.0.1-f7bdc8987bd5928e0ee6e8cc8b246a88
         containers-0.5.0.0-ab1dae9a94cd3cc84e7b2805636ebfa2
         directory-1.2.0.1-9eaa01c28e06d5c85f67c966a03a9e57
         extensible-exceptions-0.1.1.4-255a395b3b026cb94b23754e1c372785
         filepath-1.3.0.1-b12cbe18566fe1532a1fda4c85e31cbe
         hint-0.3.3.6-f16dfd99fddc3479e36add5de6aedb40
         mtl-2.1.2-94c72af955e94b8d7b2f359dadd0cb62
         process-1.1.0.2-76e05340eb66705981411022731ca84a
         show-0.6-f1d78ff80a1ebbe7fcbbd9cbf3724f18
         simple-reflect-0.3.1-2ae15a6b62d2d640aa637482533fc2f4
         unix-2.6.0.1-0331dd8b9407cabaa0b542d86de016a7
         utf8-string-0.3.7-a09b0520b6c840a38cdea57be15922c2
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.6.3/mueval-0.9/html/mueval.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.6.3/mueval-0.9/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
